package cn.iocoder.yudao.module.wealth.controller.admin.job;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.module.wealth.dal.mysql.receivable.ReceivableMapper;
import cn.iocoder.yudao.module.wealth.service.receivable.ReceivableService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Slf4j
@AllArgsConstructor
public class BoxReportCacheRefreshJob implements JobHandler {
    private final ReceivableService receivableService;
    private final ReceivableMapper receivableMapper;

    @Override
    public String execute(String param) {
        log.info("初始化应收报表缓存");
        try {
            List<Long> boxIds = receivableMapper.getAllBoxId();
            receivableService.updateBoxAmountCache(boxIds, true);
        } catch (Exception e) {
            log.error("初始化应收报表缓存失败", e);
        }
        log.info("初始化应收报表缓存完成");
        return "";
    }
}
